<?php

    namespace FederationLib\Enums\Standard;

    final class ReportType
    {
        /**
         * This category can be used for general reports submitted by users regarding any issues they encounter on the platform.
         */
        public const USER_REPORT = 'user_report';

        /**
         *  This category can be used when reports are received from external sources, such as third-party organizations or security researchers.
         */
        public const EXTERNAL_REPORT = 'external_report';

        /**
         * This category can be used for reporting unsolicited and unwanted commercial or promotional content.
         */
        public const SPAM = 'spam';

        /**
         * This category can be used for reporting fraudulent activities, schemes, or attempts to deceive users for personal gain.
         */
        public const SCAM = 'scam';

        /**
         * This category can be used for reporting attempts to acquire sensitive user information, such as passwords or financial details, through deceptive means.
         */
        public const PHISHING = 'phishing';

        /**
         * This category can be used for reporting the presence or distribution of malicious software or code.
         */
        public const MALWARE = 'malware';

        /**
         * This category can be used for reporting instances of unauthorized distribution or infringement of copyrighted material.
         */
        public const PIRACY = 'piracy';

        /**
         * This category can be used for reporting the presence or activities of botnets, which are networks of compromised computers used for malicious purposes.
         */
        public const BOTNET = 'botnet';

        /**
         * This category can be used for reporting the presence of explicit adult content that violates the platform's guidelines or policies.
         */
        public const PORNOGRAPHY = 'pornography';

        /**
         * This category can be used for reporting the presence of graphic and violent content that may be disturbing or offensive.
         */
        public const GORE = 'gore';

        /**
         * This category can be used for reporting any abuse or misuse of the platform's services or features.
         */
        public const SERVICE_ABUSE = 'service_abuse';

        /**
         * This category can be used for reporting instances of child abuse, child pornography, or any content that exploits minors.
         */
        public const CHILD_EXPLOITATION = 'child_exploitation';

        /**
         * This category can be used for reporting fraudulent activities conducted online, such as scams, fake websites, or misleading online marketplaces.
         */
        public const FRAUD = 'fraud';

        /**
         * This category can be used for any reports that do not fit into the predefined categories but still require attention.
         */
        public const OTHER = 'other';
    }